Xeonr Developer Docs
UplApiBuckets

Put bucket lifecycle

POST
/uplim.api.v1.BucketsService/PutBucketLifecycle

Replaces the bucket's lifecycle rules. Matching uploads are deleted automatically.

Authorization

OAuth2 upl:bucket:manage
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:bucket:manage

Header Parameters

Connect-Protocol-Version?number

Define the version of the Connect protocol

Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef*&
rules?

Replaces the bucket's whole rule set.

Items1 <= items <= 1000
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketsService/PutBucketLifecycle" \  -H "Connect-Protocol-Version: 1" \  -H "Connect-Timeout-Ms: 1000" \  -H "Content-Type: application/json" \  -d '{    "bucketRef": {}  }'
{
  "rules": [
    {
      "id": "string",
      "enabled": true,
      "filter": {
        "prefix": "string",
        "tags": [
          "string"
        ],
        "objectSizeGreaterThan": "string",
        "objectSizeLessThan": "string"
      },
      "noncurrentVersionExpirationDays": 1,
      "abortIncompleteUploadDays": 1,
      "expirationDate": "2023-01-15T01:30:15.01Z"
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}